How to list safety cameras around a position
This section provides an example request for a list of all static and live safety cameras within a 2 km radius around a fixed position in London.
Note
Each request requires authentication with a valid bearer token in the HTTP authorization header. For more information about obtaining credentials, see the Identity and Access Management - Developer Guide.
Sample request
The following code block provides the complete request:
GET /v2/search?in=circle:51.61791,-0.2534;r=2000 HTTP/1.1
Host: safetycameras.cit.cc.api.here.com
Authorization: Bearer eyJhbGceOyJSAMPLEiIsImN0eSISAMPLEt7VTFIllwIM0cKNCjN2WCCTqlwEEmk-t3gx1BpqUFoeBSAMPLEvhj8nl-RBGcyoljY...
Cache-Control: no-cache
Accept: application/jsonSample response
The HTTP status code is 200 and the response contains a list of static and live safety cameras, where each camera has its own unique id, location, and type, alongside other properties as defined in Response data types.
{
"safetyCameras": [
{
"id": "24781_GBR",
"country": "GBR",
"positions": [
{
"latitude": 51.6271172721229,
"longitude": -0.254331830094088,
"drivingDirection": 2
}
],
"cameraType": "RedLight",
"speedLimit": {
"value": 50,
"unit": "MPH"
},
"directionType": "Same",
"openLR": [
"CC4BEAIqJf/RsCS2UQAJ..."
]
},
{
"id": "12239_GBR",
"country": "GBR",
"positions": [
{
"latitude": 51.6271019452267,
"longitude": -0.254130423069,
"drivingDirection": 183
}
],
"cameraType": "Speed",
"speedLimit": {
"value": 50,
"unit": "MPH"
},
"directionType": "Same",
"openLR": [
"CC0BEAIpJP/RvyS2lgAJBQQB..."
]
},
{
"id": "AAAAAACOClc_GBR",
"country": "GBR",
"positions": [
{
"latitude": 51.61791,
"longitude": -0.2534,
"drivingDirection": 148
}
],
"cameraType": "Mobile",
"directionType": "Both",
"length": {
"value": 600,
"unit": "Meter"
},
"openLR": [
"CC8BEAIrJv/QNiS2xQAJ...",
"CC8BEAIrJv/UBySyigAJ..."
],
"timestamp": "2021-01-19T06:04:42.07Z"
}
]
}Updated last month